Skip to main content
POST
/
v1
/
chatbots
/
chatbot
/
{chatbotId}
/
text-snippet
Upsert Text Snippet
curl --request POST \
  --url https://interhemispheric-unwet-paulene.ngrok-free.dev/api/v1/chatbots/chatbot/{chatbotId}/text-snippet \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "description": "<string>"
}
'
{
  "success": true,
  "message": "Text snippet saved successfully",
  "data": {
    "id": "<string>",
    "chatbotId": "<string>",
    "description": "<string>",
    "createdAt": "2023-11-07T05:31:56Z",
    "updatedAt": "2023-11-07T05:31:56Z"
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

chatbotId
string
required

Body

application/json
description
string | null

The text snippet content. Pass null or omit to clear it.

Response

Created or updated

success
boolean
Example:

true

message
string
Example:

"Text snippet saved successfully"

data
object